PACEMAKER(8)

NAME
Pacemaker - Part of the Pacemaker cluster resource manager

SYNOPSIS
crm_shadow <query>|<command> [options]

DESCRIPTION
perform Pacemaker configuration changes in a sandbox

This command sets up an environment in which configuration tools (cibadmin, crm_resource, etc.) work offline instead of against a live cluster, allowing changes to be previewed and tested for side effects.

OPTIONS

  Help Options:

-h, --help
    Show help options

--help-all
    Show all help options

--help-output
    Show output help

--help-queries
    Show query help

--help-commands
    Show command help

--help-additional
    Show additional options

  Output Options:

--output-as=FORMAT
    Specify output format as one of: text (default), xml

--output-to=DEST
    Specify file name for output (or "-" for stdout)

  Queries:

-w, --which
    Indicate the active shadow copy

-p, --display
    Display the contents of the active shadow copy

-d, --diff
    Display the changes in the active shadow copy

-F, --file
    Display the location of the active shadow copy file

  Commands:

-c, --create=name
    Create the named shadow copy of the active cluster configuration

-e, --create-empty=name
    Create the named shadow copy with an empty cluster configuration. Optional: --validate-with

-C, --commit=name
    Upload the contents of the named shadow copy to the cluster

-D, --delete=name
    Delete the contents of the named shadow copy

-E, --edit
    Edit the contents of the active shadow copy with your favorite $EDITOR

-r, --reset=name. Required: --force.
    Recreate named shadow copy from the active cluster configuration

-s, --switch=name
    (Advanced) Switch to the named shadow copy

  Additional Options:

-f, --force
    (Advanced) Force the action to be performed

-b, --batch
    (Advanced) Don't spawn a new shell

-a, --all
    (Advanced) Upload entire CIB, including status, with --commit

-v, --validate-with
    (Advanced) Create an older configuration version

  Application Options:

-$, --version
    Display software version and exit

-V, --verbose
    Increase debug output (may be specified multiple times)

EXAMPLES
Create a blank shadow configuration:

    # crm_shadow --create-empty myShadow

Create a shadow configuration from the running cluster

    # crm_shadow --create myShadow

Display the current shadow configuration:

    # crm_shadow --display

Discard the current shadow configuration (named myShadow):

    # crm_shadow --delete myShadow --force

Upload current shadow configuration (named myShadow) to running cluster:

    # crm_shadow --commit myShadow

AUTHOR
Written by Andrew Beekhof and the Pacemaker project contributors